Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

Create a staff user in the workspace

Minimum role: ADMIN. Active workspace via the X-Workspace-Id header.

POST/staff
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Request body
requiredapplication/json
namestringrequired
min length 1
emailstring<email>required
matches ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Responses
201

OK

dataStaffUserrequired
Show properties
idstringrequired
namestringrequired
emailstringrequired
rolestringrequired
Allowed:SUPER_ADMINADMINSTAFFVIEWERMINCULTURA
organizationIdstring | nullrequired
Show properties
Any of:
string
string
null
null
workspaceIdstring
workspaceNamestring
createdAtstringrequired
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
409

Conflict: the resource does not allow this operation in its current state.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
429

Too many requests: rate limit exceeded.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://admin.appfreeticket.com/api/v1/staff' \
  -H 'Authorization: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "email": "user@example.com"
}'
Response
{
  "data": {
    "id": "string",
    "name": "string",
    "email": "string",
    "role": "SUPER_ADMIN",
    "organizationId": "string",
    "workspaceId": "string",
    "workspaceName": "string",
    "createdAt": "string"
  }
}